import request from './request'

//获取摄像头流地址
export function iotCameraFindByCondition(data) {
  return request({
    url: '/iot/camera/findByCondition',
    method: 'post',
    data: data
  })
}
//获取摄像头流地址
export function iotCameraGetPlaybackURLs(query) {
  return request({
    url: '/iot/camera/getPlaybackURLs',
    method: 'get',
    params: query
  })
}
//根据设备ID获取摄像头流地址
export function iotCameraGetPreviewURLs(query) {
  return request({
    url: '/iot/camera/getPreviewURLs',
    method: 'get',
    params: query
  })
}
